## r-cran-uniqtag 1.0

=== DESCRIPTION ===
Package: uniqtag
Type: Package
Version: 1.0
Title: Abbreviate Strings to Short, Unique Identifiers
Description: For each string in a set of strings, determine a unique tag that is a substring of fixed size k unique to that string, if it has one. If no such unique substring exists, the least frequent substring is used. If multiple unique substrings exist, the lexicographically smallest substring is used. This lexicographically smallest substring of size k is called the "UniqTag" of that string.
Authors@R: person("Shaun", "Jackman", , "sjackman@gmail.com", c("cre"))
URL: https://github.com/sjackman/uniqtag
BugReports: https://github.com/sjackman/uniqtag/issues
Suggests: testthat
License: MIT + file LICENSE
Packaged: 2015-04-28 19:20:22 UTC; sjackman
Author: Shaun Jackman [cre]
Maintainer: Shaun Jackman <sjackman@gmail.com>
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2015-04-29 01:17:59

=== debian/changelog ===
r-cran-uniqtag (1.0-2) unstable; urgency=medium

  * Source-only upload for testing migration.

 -- Nilesh Patra <nilesh@debian.org>  Fri, 09 Apr 2021 16:08:27 +0530

r-cran-uniqtag (1.0-1) unstable; urgency=medium

  * Initial release (closes: #986102)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 29 Mar 2021 19:44:33 +0530

=== debian/control ===
Source: r-cran-uniqtag
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Nilesh Patra <nilesh@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-uniqtag
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-uniqtag.git
Homepage: https://cran.r-project.org/package=uniqtag
Rules-Requires-Root: no

Package: r-cran-uniqtag
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Abbreviate Strings to Short, Unique Identifiers
 For each string in a set of strings, determine a unique tag that is a
 substring of fixed size k unique to that string, if it has one. If no
 such unique substring exists, the least frequent substring is used. If
 multiple unique substrings exist, the lexicographically smallest
 substring is used. This lexicographically smallest substring of size k
 is called the "UniqTag" of that string.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/uniqtag_([-\d.]*)\.tar\.gz

## r-cran-uniqtag 1.0.1

=== DESCRIPTION ===
Type: Package
Package: uniqtag
Title: Abbreviate Strings to Short, Unique Identifiers
Version: 1.0.1
Authors@R: person("Shaun", "Jackman", email = "sjackman@gmail.com", role = c("aut", "cph", "cre"))
Description: For each string in a set of strings, determine a unique tag that is a substring of fixed size k unique to that string, if it has one. If no such unique substring exists, the least frequent substring is used. If multiple unique substrings exist, the lexicographically smallest substring is used. This lexicographically smallest substring of size k is called the "UniqTag" of that string.
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.1.2
URL: https://github.com/sjackman/uniqtag
BugReports: https://github.com/sjackman/uniqtag/issues
Suggests: testthat
NeedsCompilation: no
Packaged: 2022-05-10 21:34:38 UTC; shaun.jackman
Author: Shaun Jackman [aut, cph, cre]
Maintainer: Shaun Jackman <sjackman@gmail.com>
Repository: CRAN
Date/Publication: 2022-06-10 06:10:02 UTC

=== debian/changelog ===
r-cran-uniqtag (1.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 28 Jun 2022 16:02:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-uniqtag
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Nilesh Patra <nilesh@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-uniqtag
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-uniqtag.git
+Homepage: https://cran.r-project.org/package=uniqtag
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-uniqtag
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-uniqtag.git
-Homepage: https://cran.r-project.org/package=uniqtag
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-uniqtag
 Architecture: all
